Runtime

## org.eclipse.gmf.runtime.notation
Class Alignment

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.Alignment

All Implemented Interfaces:
  Enumerator

public final class Alignment
extends AbstractEnumerator

A representation of the literals of the enumeration 'Alignment', and utility methods for working with them.

See Also:
  `NotationPackage.getAlignment()`
** Generated **
Model:

Field Summary
`static int` `BOTTOM` The 'Bottom' literal value
`static Alignment` `BOTTOM_LITERAL` The 'Bottom' literal object
`static int` `CENTER` The 'Center' literal value
`static Alignment` `CENTER_LITERAL` The 'Center' literal object
`static int` `LEFT` The 'Left' literal value
`static Alignment` `LEFT_LITERAL` The 'Left' literal object
`static int` `RIGHT` The 'Right' literal value
`static Alignment` `RIGHT_LITERAL` The 'Right' literal object
`static int` `TOP` The 'Top' literal value
`static Alignment` `TOP_LITERAL` The 'Top' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Alignment' enumerators

Method Summary
`static Alignment` `get(int value)` Returns the 'Alignment' literal with the specified integer value
`static Alignment` `get(java.lang.String literal)` Returns the 'Alignment' literal with the specified literal value
`static Alignment` `getByName(java.lang.String name)` Returns the 'Alignment' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

  The 'Left' literal value.

  See Also:
    `Alignment.LEFT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Left"

### RIGHT

    public static final int RIGHT

  The 'Right' literal value.

  See Also:
    `Alignment.RIGHT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Right"

### CENTER

    public static final int CENTER

  The 'Center' literal value.

  See Also:
    `Alignment.CENTER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Center"

### TOP

    public static final int TOP

  The 'Top' literal value.

  See Also:
    `Alignment.TOP_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Top"

### BOTTOM

    public static final int BOTTOM

  The 'Bottom' literal value.

  See Also:
    `Alignment.BOTTOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Bottom"

### LEFT_LITERAL

    public static final Alignment LEFT_LITERAL

  The 'Left' literal object.

  See Also:
    `Alignment.LEFT`
  ** Generated **
  Ordered:

### RIGHT_LITERAL

    public static final Alignment RIGHT_LITERAL

  The 'Right' literal object.

  See Also:
    `Alignment.RIGHT`
  ** Generated **
  Ordered:

### CENTER_LITERAL

    public static final Alignment CENTER_LITERAL

  The 'Center' literal object.

  See Also:
    `Alignment.CENTER`
  ** Generated **
  Ordered:

### TOP_LITERAL

    public static final Alignment TOP_LITERAL

  The 'Top' literal object.

  See Also:
    `Alignment.TOP`
  ** Generated **
  Ordered:

### BOTTOM_LITERAL

    public static final Alignment BOTTOM_LITERAL

  The 'Bottom' literal object.

  See Also:
    `Alignment.BOTTOM`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Alignment' enumerators.

  ** Generated **

Method Detail

### get

    public static Alignment get(java.lang.String literal)

  Returns the 'Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static Alignment getByName(java.lang.String name)

  Returns the 'Alignment' literal with the specified name.

  ** Generated **

### get

    public static Alignment get(int value)

  Returns the 'Alignment' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.